Functions
IO operation functions
Peripheral Driver » HAL Driver » MSIO » Functions

MSIO Read, Write, and Toggle management functions. More...

## Functions
msio_pin_state_t | hal_msio_read_pin (msio_pad_t MSIOx, uint16_t msio_pin)
| Read the specified input port pin. More...
void | hal_msio_write_pin (msio_pad_t MSIOx, uint16_t msio_pin, msio_pin_state_t pin_state)
| Set or clear the selected data port bit. More...
void | hal_msio_toggle_pin (msio_pad_t MSIOx, uint16_t msio_pin)
| Toggle the specified MSIO pin. More...

## Detailed Description

MSIO Read, Write, and Toggle management functions.

## Function Documentation

## ◆ hal_msio_read_pin()

msio_pin_state_t hal_msio_read_pin | ( | msio_pad_t | MSIOx,
|  | uint16_t | msio_pin
| ) |  |

Read the specified input port pin.

Parameters

  [in] | MSIOx | MSIO peripheral port.
  [in] | msio_pin | Specifies the port bit to be read. This parameter can be one of the following values: MSIO_PIN_0 MSIO_PIN_1 MSIO_PIN_2 MSIO_PIN_3 MSIO_PIN_4 MSIO_PIN_5 MSIO_PIN_6 MSIO_PIN_7

Return values

  MSIO_PIN_RESET | MSIO pin low level.
  MSIO_PIN_SET | MSIO pin high level.

## ◆ hal_msio_toggle_pin()

void hal_msio_toggle_pin | ( | msio_pad_t | MSIOx,
|  | uint16_t | msio_pin
| ) |  |

Toggle the specified MSIO pin.

Parameters

  [in] | MSIOx | MSIO peripheral port.
  [in] | msio_pin | Specifies the pin to be toggled. This parameter can be a combination of the following values: MSIO_PIN_0 MSIO_PIN_1 MSIO_PIN_2 MSIO_PIN_3 MSIO_PIN_4 MSIO_PIN_5 MSIO_PIN_6 MSIO_PIN_7 MSIO_PIN_ALL

## ◆ hal_msio_write_pin()

void hal_msio_write_pin | ( | msio_pad_t | MSIOx,
|  | uint16_t | msio_pin,
|  | msio_pin_state_t | pin_state
| ) |  |

Set or clear the selected data port bit.

Parameters

  [in] | MSIOx | MSIO peripheral port.
  [in] | msio_pin | Specifies the port bit to be written. This parameter can be a combination of the following values: MSIO_PIN_0 MSIO_PIN_1 MSIO_PIN_2 MSIO_PIN_3 MSIO_PIN_4 MSIO_PIN_5 MSIO_PIN_6 MSIO_PIN_7 MSIO_PIN_ALL
  [in] | pin_state | Specifies the value to be written to the selected bit. This parameter can be one of the MSIO_PinState enum values: MSIO_PIN_RESET: to clear the port pin MSIO_PIN_SET: to set the port pin